#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    long long n;
    cin >> n;
    vector<long long> v(n);
    for(long long i = 0; i < n; i++){
        cin >> v[i];
    }
    long long d;
    if(n <= 1000000){
        d = n;
    }
    else{
        d = 1000000;
    }
    cout << d;
}